.PHONY: tests

mcmc_dir_a1a2_dp = outdir_mcmc_a1a2_dp_A/
dynesty_dir_a1a2_dp = outdir_dynesty_a1a2_dp_A/

tests: dynesty_summary_a1a2_dp.txt mcmc_summary_a1a2_dp.txt comparison.txt

comparison.txt:
	python run_comparison.py ${mcmc_dir_a1a2_dp} ${dynesty_dir_a1a2_dp} > comparison.txt

dynesty_summary_a1a2_dp.txt:
	bilby_test_pipe_check ${dynesty_dir_a1a2_dp} > dynesty_summary_a1a2_dp.txt

mcmc_summary_a1a2_dp.txt:
	bilby_test_pipe_check ${mcmc_dir_a1a2_dp} > mcmc_summary_a1a2_dp.txt

summary_a1a2:
	summarypages -w ${mcmc_dir_a1a2_dp}/comparison -s ${dynesty_dir_a1a2_dp}/result/bbh_A_data0_0_analysis_H1L1_dynesty_merge_result.json ${mcmc_dir_a1a2_dp}/result/bbh_A_data0_0_analysis_H1L1_bilby_mcmc_merge_result.json --config ${dynesty_dir_a1a2_dp}/bbh_A_config_complete.ini ${mcmc_dir_a1a2_dp}/bbh_A_config_complete.ini --labels dynesty mcmc --gw

summary_chi:
	summarypages -w ${mcmc_dir_chi_dp}/comparison -s ${dynesty_dir_chi_dp}/result/bbh_A_data0_0_analysis_H1L1_dynesty_merge_result.json ${mcmc_dir_chi_dp}/result/bbh_A_data0_0_analysis_H1L1_bilby_mcmc_merge_result.json --config ${dynesty_dir_chi_dp}/bbh_A_config_complete.ini ${mcmc_dir_chi_dp}/bbh_A_config_complete.ini --labels dynesty mcmc --gw

mcmc_submit:
	bilby_pipe config_mcmc_chi.ini --submit
	bilby_pipe config_mcmc_chi_dp.ini --submit
	bilby_pipe config_mcmc_a1a2.ini --submit

dynesty_submit:
	bilby_pipe config_dynesty.ini --submit
